import request from "@/api";


// 调用物资
export function selectDistributeListByMaterials(data: any) {
  return request({
    url: "/admin/out/selectDistributeListByMaterials",
    method: "post",
    data
  });
}
//调用省份
export function selectDistributeListByProvince(data: any) {
  return request({
    url: "/admin/out/selectDistributeListByProvince",
    method: "post",
    data
  });
}
//调出仓库
export function selectDistributeListByWarehouse(data: any) {
  return request({
    url: "/admin/out/selectDistributeListByWarehouse",
    method: "post",
    data
  });
}
//调用批次
export function selectDistributeListByOutboundTime(data: any) {
  return request({
    url: "/admin/out/selectDistributeListByOutboundTime",
    method: "post",
    data
  });
}
//导出---救灾-调用物资
export function exportjzdywztjb(data: object) {
  return request({
    url: `/admin/out/exportjzdywztjb`,
    method: "post",
    data,
    responseType: "blob"
  });
}
//导出---救灾-调用省份
export function exportjzdysftjb(data: object) {
  return request({
    url: `/admin/out/exportjzdysftjb`,
    method: "post",
    data,
    responseType: "blob"
  });
}
//导出---救灾-调出仓库
export function exportjzdccktjb(data: object) {
  return request({
    url: `/admin/out/exportjzdccktjb`,
    method: "post",
    data,
    responseType: "blob"
  });
}
//导出---救灾-调出批次
export function exportjzdypctjb(data: object) {
  return request({
    url: `/admin/out/exportjzdypctjb`,
    method: "post",
    data,
    responseType: "blob"
  });
}